using DataSharing.Share.Dtos.Province.XieTong.Send;
using FluentValidation;

namespace DataSharing.Validators.HuiJu
{
    public class GetCaseProcessReceiveInfoValidator : AbstractValidator<GetCaseProcessReceiveInfo>
    {
        public GetCaseProcessReceiveInfoValidator()
        {
            RuleFor(d => d.AreaCode).NotEmpty();
            RuleFor(d => d.CaseSerial).NotEmpty();
            RuleFor(d => d.DeptName).NotEmpty();
            RuleFor(d => d.TacheName).NotEmpty();
            RuleFor(d => d.ProcessTime).NotEmpty();
            RuleFor(d => d.ProcessName).NotEmpty();
            RuleFor(d => d.ProcessNote).NotEmpty();
            // RuleFor(d => d.TrowGuid).NotEmpty();
            RuleFor(d => d.CliengGuid).NotEmpty();
            RuleFor(d => d.EndAreaCode).NotEmpty();
            RuleFor(d => d.EndAreaName).NotEmpty();
        }
    }
}